## openhackware 0.4.1

=== Makefile ===
#
#  <Makefile>
#     
#  Makefile for Open Hack'Ware.
#  
#  Copyright (C) 2004-2005 Jocelyn Mayer (l_indien@magic.fr)
#  
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License V2
#   as published by the Free Software Foundation
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

#DEBUG=1

CROSS_COMPILE?=powerpc-linux-
CC:= $(CROSS_COMPILE)gcc
LD:= $(CROSS_COMPILE)ld
OBJCOPY:= $(CROSS_COMPILE)objcopy
MKDIR:= mkdir
CAT:= cat
TAR:= tar
RM:= rm -rf --
ECHO:= echo
ifeq ("$(DEBUG)", "1")
DEBUG:= $(ECHO)
else
DEBUG:= \#
endif

BUILD_DATE:= $(shell date -u +%F)
BUILD_TIME:= $(shell date -u +%T)

OBJDIR:= .objs
DISTDIR:= .
SRCDIR:= src

CC_BASE:= $(shell $(CC) -print-search-dirs | grep install | sed -e 's/.*\ //')
CFLAGS= -Wall -W -Werror -O2 -g -fno-builtin -fno-common -nostdinc -mregnames
CFLAGS+= -DBUILD_DATE=$(BUILD_DATE) -DBUILD_TIME=$(BUILD_TIME)
CFLAGS+= -I$(SRCDIR)/ -I$(SRCDIR)/libc/include -I$(CC_BASE)/include
CFLAGS+= -I$(SRCDIR)/dev -I$(SRCDIR)/dev/block -I$(SRCDIR)/dev/char
CFLAGS+= -I$(SRCDIR)/dev/bus
LDFLAGS= -O2 -g -nostdlib

BIOS_IMAGE_BITS:= 19
BIOS_IMAGE_SIZE:= $(shell echo $$(( 1 << $(BIOS_IMAGE_BITS) )) )

BOOT_SIZE      := 0x00000200
VECTORS_BASE   := 0x00000000
VECTORS_SIZE   := $(shell echo $$(( 0x00004000 - $(BOOT_SIZE) )) )
VECTORS_END    := $(shell echo $$(( $(VECTORS_BASE) + $(VECTORS_SIZE) )) )
BIOS_BASE      := 0x05800000
BIOS_SIZE      := $(shell echo $$(( $(BIOS_IMAGE_SIZE) - $(BOOT_SIZE) - $(VECTORS_SIZE) )) )
BIOS_END       := $(shell echo $$(( $(BIOS_BASE) + $(BIOS_SIZE) )) )

LOAD_IMAGE_BASE:= 0x04000000

# boot.bin build options
boot.o_CFLAGS:= -DBOOT_SIZE=$(BOOT_SIZE)
boot.o_CFLAGS+= -DVECTORS_BASE=$(VECTORS_BASE) -DVECTORS_SIZE=$(VECTORS_SIZE)
boot.o_CFLAGS+= -DBIOS_IMAGE_BITS=$(BIOS_IMAGE_BITS)
boot.out_LDFLAGS+= -T $(SRCDIR)/boot.ld
# vectors.bin build options
vectors.o_CFLAGS:= -DBIOS_BASE=$(BIOS_BASE) -DBIOS_SIZE=$(BIOS_SIZE)
vectors.out_LDFLAGS+= -T $(SRCDIR)/vectors.ld
vectors.bin_OPTIONS:= --pad-to $(VECTORS_END)
# main.bin build options
main.o_CFLAGS:= -DLOAD_IMAGE_BASE=$(LOAD_IMAGE_BASE)
main.out_LDFLAGS:= -T $(SRCDIR)/main.ld
main.out_OBJS:= main.o bootinfos.o bloc.o pci.o of.o start.o nvram.o vga.o mm.o char.o
main.out_OBJS:= $(addprefix $(OBJDIR)/, $(main.out_OBJS))
# Pseudo-libc objects
FORMAT_FUNCS:= _vprintf printf sprintf snprintf vprintf vsprintf vsnprintf
FORMAT_FUNCS+= dprintf vdprintf
MEM_FUNCS:= memcpy memccpy mempcpy memmove memcmove mempmove
MEM_FUNCS+= memset memcmp memchr rawmemchr memrchr memmem
STR_FUNCS:= strcpy strdup strndup stpcpy stpncpy strcat strncat
STR_FUNCS+= strcmp strcasecmp strncmp strncasecmp strchr strchrnul strrchr
STR_FUNCS+= basename dirname
STR_FUNCS+= strlen strnlen
MODULES:= format mem str
format_OBJS:=$(addsuffix .o, $(FORMAT_FUNCS))
mem_OBJS:=$(addsuffix .o, $(MEM_FUNCS))
str_OBJS:=$(addsuffix .o, $(STR_FUNCS))
pseudo_libc_OBJS:= malloc.o errno.o $(format_OBJS) $(mem_OBJS) $(str_OBJS)
#pseudo_libc_OBJS:= errno.o $(format_OBJS) $(mem_OBJS) $(str_OBJS)
main.out_OBJS+= $(addprefix $(OBJDIR)/, $(pseudo_libc_OBJS))
# libexec objects
libexec_OBJS:= core.o elf.o xcoff.o macho.o chrp.o prep.o pef.o
main.out_OBJS+= $(addprefix $(OBJDIR)/exec_, $(libexec_OBJS))
# libfs objects
libfs_OBJS:= core.o raw.o ext2.o isofs.o hfs.o
main.out_OBJS+= $(addprefix $(OBJDIR)/fs_, $(libfs_OBJS))
# libpart objects
libpart_OBJS:= core.o apple.o isofs.o prep.o
main.out_OBJS+= $(addprefix $(OBJDIR)/part_, $(libpart_OBJS))
# char devices drivers
chardev_OBJS:= pckbd.o kbdadb.o kbd.o
# bloc devices drivers
blocdev_OBJS:=
# devices drivers
dev_OBJS:= $(addprefix bloc_, $(blocdev_OBJS))
dev_OBJS+= $(addprefix char_, $(chardev_OBJS))
main.out_OBJS+= $(addprefix $(OBJDIR)/dev_, $(dev_OBJS))

CUR= $(notdir $@)
CFLAGS+= $($(CUR)_CFLAGS)
LDFLAGS+= $($(CUR)_LDFLAGS)

BIN_TARGETS:= $(OBJDIR)/vectors.bin $(OBJDIR)/main.bin $(OBJDIR)/boot.bin
TARGET:= ppc_rom.bin
main.bin_OPTIONS:= --gap-fill 0xFF --pad-to $(BIOS_END)

CURDIR:= $(shell basename `pwd`)
SOURCES:= boot.S vectors.S start.S main.c of.c
SOURCES+= vga.c vgafont.h bootinfos.c nvram.c file.c fs.c part.c bloc.c pci.c bios.h
LD_SCRIPTS:= boot.ld vectors.ld main.ld
MISC_FILES:= Makefile COPYING README Changelog Timestamp
SVN_DIRS:= $(shell find . -type d -name .svn)
TARBALL:= OpenHackWare.tar.bz2
TARFILES:= $(addprefix $(SRCDIR)/, $(SOURCES) $(LD_SCRIPTS)) $(MISC_FILES)
SVN_TARBALL:= OpenHackWare_svn.tar.bz2
DISTFILE:= OpenHackWare_bin.tar.bz2

#all: print
all: $(OBJDIR) $(DISTDIR) $(addprefix $(DISTDIR)/, $(TARGET))

dist: all $(CURDIR)/Timestamp
	cd $(DISTDIR) && $(TAR) -cjf $(DISTFILE) $(DISTDIR)/$(TARGET) Timestamp

print:
	@$(DEBUG) "BOOT_SIZE    = $(BOOT_SIZE)"
	@$(DEBUG) "VECTORS_BASE = $(VECTORS_BASE)"
	@$(DEBUG) "VECTORS_SIZE = $(VECTORS_SIZE)"
	@$(DEBUG) "VECTORS_END  = $(VECTORS_END)"
	@$(DEBUG) "BIOS_BASE    = $(BIOS_BASE)"
	@$(DEBUG) "BIOS_SIZE    = $(BIOS_SIZE)"
	@$(DEBUG) "BIOS_END     = $(BIOS_END)"

$(OBJDIR) $(DISTDIR):
	@$(MKDIR) $@

$(DISTDIR)/$(TARGET): $(BIN_TARGETS)
	$(CAT) $^ > $@

$(OBJDIR)/%.bin: $(OBJDIR)/%.out
	$(OBJCOPY) -O binary $($(notdir $@)_OPTIONS) $< $@

$(OBJDIR)/%.out: $(OBJDIR)/%.o $(SRCDIR)/%.ld
	$(LD) $(LDFLAGS) -o $@ $<

$(OBJDIR)/main.out: $(main.out_OBJS) $(SRCDIR)/main.ld
	$(LD) $(LDFLAGS) -o $@ $(main.out_OBJS)

$(OBJDIR)/%.o: $(SRCDIR)/%.c $(SRCDIR)/bios.h
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

$(OBJDIR)/%.o: $(SRCDIR)/%.S $(SRCDIR)/bios.h
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -Wa,-mregnames -o $@ $<

	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

# Pseudo libc objects
$(OBJDIR)/%.o: $(SRCDIR)/libc/src/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

$(OBJDIR)/mem%.o: $(SRCDIR)/libc/src/mem.c
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/rawmemchr.o: $(SRCDIR)/libc/src/mem.c
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/str%.o: $(SRCDIR)/libc/src/str.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/stp%.o: $(SRCDIR)/libc/src/str.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/basename.o: $(SRCDIR)/libc/src/str.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/dirname.o: $(SRCDIR)/libc/src/str.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

$(OBJDIR)/%rintf.o: $(SRCDIR)/libc/src/format.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) $(CFLAGS) -D__USE_$(subst .o,,$(@F))__ -c -o $@ $<

# libexec objects
$(OBJDIR)/exec_%.o: $(SRCDIR)/libexec/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

# libfs objects
$(OBJDIR)/fs_%.o: $(SRCDIR)/libfs/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

# libpart objects
$(OBJDIR)/part_%.o: $(SRCDIR)/libpart/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

# Devices drivers
$(OBJDIR)/dev_%.o: $(SRCDIR)/dev/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<
# Char devices drivers
$(OBJDIR)/dev_char_%.o: $(SRCDIR)/dev/char/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<
# Bloc devices drivers
$(OBJDIR)/dev_bloc_%.o: $(SRCDIR)/dev/bloc/%.c
	@$(DEBUG) "CFLAGS  = $(CFLAGS)"
	$(CC) -c $(CFLAGS) -o $@ $<

# Other targets
tarball: $(CURDIR)/Timestamp
	cd .. && $(TAR) -cjf $(CURDIR)/$(TARBALL) \
                             $(addprefix $(CURDIR)/, $(TARFILES))

svntarball: $(CURDIR)/Timestamp
	cd .. && $(TAR) -cjf $(CURDIR)/$(SVN_TARBALL) \
                             $(addprefix $(CURDIR)/, $(TARFILES) $(SVN_DIRS))

$(CURDIR)/Timestamp: force
	@cd .. && echo "$(BUILD_DATE) at $(BUILD_TIME)" > $@

clean:
	$(RM) $(OBJDIR) $(addprefix $(DISTDIR)/, $(TARGETS))
	$(RM) $(DISTFILE) $(CURDIR)/$(TARBALL)

cleansrc: clean
	$(RM) *~ src/*~ .*~ src/.*~

# Keep all intermediary files
.PRECIOUS: $(OBJDIR)/%.o $(OBJDIR)/%.out

.PHONY: all dist print tarball clean cleansrc

force:

=== debian/changelog ===
openhackware (0.4.1-6ubuntu2) raring; urgency=low

  * Revert previous Ubuntu delta:
    - Change openhackware from arch all to arch powerpc since it only builds
      with a powerpc-linux-gnu toolchain.
    - Switch -arch and -indep targets in debian/rules.
  * Since Ubuntu always builds Architecture: all packages on i386, build
    using a cross-compiler.
  * d/p/freestanding.patch: build with -ffreestanding to fix FTBFS.

 -- Robie Basak <robie.basak@canonical.com>  Wed, 03 Apr 2013 17:05:07 +0000

openhackware (0.4.1-6ubuntu1) quantal; urgency=low

  * Change openhackware from arch all to arch powerpc since it only builds
    with a powerpc-linux-gnu toolchain.
  * Switch -arch and -indep targets in debian/rules.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 05 Aug 2012 15:39:06 +0200

openhackware (0.4.1-6) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 00:27:51 +0100

openhackware (0.4.1-5) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Call dh_prep and dh_installdirs from binary-indep.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove unused install target from debian/rules.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Rename build target to build-indep, and add an empty build-arch target.
  * Remove no longer available upstream Homepage. (Closes: #540471)
  * Disable watch file due to the above.
  * Add misc:Depends substvar to Depends field.

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Nov 2011 01:58:36 +0100

openhackware (0.4.1-4) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Change 'Copyright Holder' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Add missing copyright holders and years.
    - Refer to GPL-2 from common-licenses instead of just GPL.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 22:11:07 +0300

openhackware (0.4.1-3) unstable; urgency=low

  * Fix typo in package description. (Closes: #390236)
    Thanks to Simon Waters <simon@technocool.net>.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Error out if the toolchain used to build is not powerpc-linux-gnu.
    (Closes: #322300, #339870)
  * Support cross-compiling by passing a cross prefix to make when not
    building natively.
  * Remove commented debhelper commands.
  * Do not ignore make errors on 'debian/rules clean'.
  * Switch to quilt:
    - Remove now unused debian/patch.mk.
    - Replace include of patch.mk with quilt.make in debian/rules.
    - Add Build-Depends on 'quilt (>= 0.40)'.
  * Move debhelper from Build-Depends-Indep to Build-Depends, needed by clean.
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Dec 2007 08:57:39 +0200

openhackware (0.4.1-2) unstable; urgency=low

  * Stop Build-Depending on gcc-2.95, by adding the new missing .rodata.*
    sections into the main.ld scripts thus fixing build with latest gcc:s.
    - debian/patches/002_gcc-4.patch: New file.
  * Pass an empty CROSS_COMPILE on clean.
  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix FSF's address.
  * Rename clean target from debian/patch.mk to unpatch.
  * Switch patch and unpatch to single colon rules and make them PHONY.

 -- Guillem Jover <guillem@debian.org>  Tue, 21 Mar 2006 23:27:39 +0200

openhackware (0.4.1-1) unstable; urgency=low

  * Initial Release. (Closes: #303488)

 -- Guillem Jover <guillem@debian.org>  Mon, 23 May 2005 23:35:19 +0300

=== debian/control ===
Source: openhackware
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
# The upstream site disappeared.
#Homepage: http://perso.magic.fr/l_indien/OpenHackWare/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/openhackware.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/openhackware.git
Build-Depends: debhelper (>= 7), gcc-powerpc-linux-gnu
Standards-Version: 3.9.2

Package: openhackware
Architecture: all
Depends: ${misc:Depends}
Description: OpenFirmware emulator for PowerPC
 OpenHackWare is an OpenFirmware emulator intended to be used on PowerPC
 machines. It is not a real OpenFirmware as it knows nothing about Forth.
 It emulates the OpenFirmware boot time interface as well as the RTAS
 interface. It also emulates some known "interpret" strings, to make it
 able to launch known OSes.

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CROSS_PREFIX := powerpc-linux-gnu-
CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-arch:

build-indep:
	dh_testdir
	
	$(MAKE) CROSS_COMPILE="$(CROSS_PREFIX)" CFLAGS="$(CFLAGS)"

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean CROSS_COMPILE="$(CROSS_PREFIX)"
	$(RM) ppc_rom.bin
	
	dh_clean

binary-arch: build-arch
# Nothing to do

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	
	dh_installdirs
	dh_installchangelogs Changelog
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
#http://perso.magic.fr/l_indien/OpenHackWare/ .*/OpenHackWare-([0-9a-z.]*)\.tar\.bz2

## openhackware 0.4.1%2Bgit-20140423.c559da7c

=== debian/changelog ===
openhackware (0.4.1+git-20140423.c559da7c-2) unstable; urgency=medium

  * Switch to dh.
  * Build-depends on binutils-source and gcc-4.9-source to build a
    minimal powerpc cross-compile.  Closes: #322300, #339870, #704624.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Aug 2014 15:35:20 +0200

openhackware (0.4.1+git-20140423.c559da7c-1) unstable; urgency=medium

  * Adopt the package, under the "Debian QEMU Team" umbrella.
    Closes: #658774.
  * New snapshot version hosted on the QEMU git:
    - Fix CDROM boot.  Closes: #502418.
    - Refresh 001_build.patch.
    - Drop 002_gcc-4.patch (merged).
  * Update debian/copyright and debian/control to point to the new
    download location.
  * Drop debian/watch.
  * Bump Standards-Version 3.9.5 (no changes needed).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Aug 2014 02:16:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

# We build a firmware, so we do not link to the ssp libraries
export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector

# We build a minimalistic cross powerpc-elf toolchain in order to be able
# to build the firmware on all architectures. It might be possible to
# use the native toolchain when building on a powerpc machine, but we don't
# that to make debian/rules simpler, but also because we want the build to
# be reproducible.
include debian/cross-toolchain.mk
export CROSS_COMPILE="$(toolchain_dir)/bin/powerpc-elf-"

%:
	dh $@ --parallel

override_dh_auto_build-indep: $(stamp)gcc_powerpc-elf
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean CROSS_COMPILE=""
	rm -fr $(toolchain_dir)
	rm -f ppc_rom.bin

## openhackware 0.4.1+git-20140423.c559da7c

=== debian/changelog ===
openhackware (0.4.1+git-20140423.c559da7c-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-7 (Johannes Brandstätter). Closes: #871094.
  * Make the build reproducible (Chris Lamb). Closes: #833444.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 15 Apr 2018 03:56:36 +0200

openhackware (0.4.1+git-20140423.c559da7c-4) unstable; urgency=medium

  * d/patches/001_build.patch: pass -fno-stack-protector.  This is not
    needed in Debian, but it is needed in Ubuntu because of differing
    compiler defaults, and the upstream build system doesn't honor
    dpkg-buildflags.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Jul 2016 13:53:44 -0700

openhackware (0.4.1+git-20140423.c559da7c-3) unstable; urgency=medium

  * Build using gcc-powerpc-linux-gnu cross-compiler. Closes: #818779.
  * Bump Standards-Version 3.9.7 (no changes needed).
  * Mark openhackware as Multi-Arch: foreign.  Closes: #767020.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Mar 2016 21:32:45 +0100

=== debian/control ===
Source: openhackware
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Homepage: http://git.qemu-project.org/?p=openhackware.git
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openhackware.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/openhackware.git
Build-Depends: debhelper (>= 9), gcc-powerpc-linux-gnu [!powerpc]
Standards-Version: 3.9.7

Package: openhackware
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenFirmware emulator for PowerPC
 OpenHackWare is an OpenFirmware emulator intended to be used on PowerPC
 machines. It is not a real OpenFirmware as it knows nothing about Forth.
 It emulates the OpenFirmware boot time interface as well as the RTAS
 interface. It also emulates some known "interpret" strings, to make it
 able to launch known OSes.

=== debian/rules ===
#!/usr/bin/make -f

export CROSS_COMPILE="powerpc-linux-gnu-"

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	rm -f ppc_rom.bin
